> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post zone

> Add a new zone to specify the rules for a query profile.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json post /zones
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /zones:
    post:
      tags:
        - zones-controller
      summary: Post zone
      description: Add a new zone to specify the rules for a query profile.
      operationId: post-zone
      parameters:
        - name: context
          in: query
          description: >-
            The context parameter retrieves templates for the specified
            application. The parameter format is `app:your-app-name`. Only the
            first application listed in the context is displayed even if a
            comma-delimited list is entered in the parameter. 
          schema:
            type: string
            example: app:your-app-name
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/zone'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/zone'
        '201':
          description: Created
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
components:
  schemas:
    zone:
      title: Zone
      x-stoplight:
        id: 7d2ff9dde3cbb
      type: object
      required:
        - id
      properties:
        name:
          type: string
          description: >-
            The name of the zone that contains the specified query profiles to
            search in the query.
          example: Results List
        id:
          type: string
          description: The universal unique identifier (UUID) of the zone.
          example: 6a092bd4-5098-466c-94aa-40bf68294303
          format: uuid
        type:
          type: string
          description: >-
            Read-only value that classifies the zone in the Fusion Predictive
            Merchandiser UI. This value does not affect the triggering/rendering
            logic. 
          example: result-list
        queryProfile:
          type: string
          x-stoplight:
            id: zi250yjpgkfrx
          description: >-
            The query profile for this zone, that designates the endpoint that
            is searched.
          example: fusion-query-profile-name
        omitFilters:
          type: boolean
          x-stoplight:
            id: qoqbd8mfoq6b2
          description: >-
            Specifies whether to include filters `fq` parameters in the search.
            If set to `Off`, all query parameters in the original request are
            passed on to the defined query profile when a template is being
            rendered. If set to `On`, all filters (`fq` parameters) from the
            original request are omitted from the query to the query profile.
            For example, if you have a category landing page where the category
            is used to filter the displayed items, this setting can allow a zone
            to display items outside of that category (by omitting the category
            filter).
          default: false
        dirty:
          type: boolean
          description: >-
            The status of the template. If `false`, the template is published.
            If `true`, this is the staging version of this template and it
            contains changes that have not yet been published.
        neverPublished:
          type: boolean
          description: >-
            The status of the template in the zone. If `false`, the template has
            been published at some point. If `true`, this template has never
            been published.
        metadata:
          type: object
          description: Additional data associated with this zone.
          properties:
            image:
              type: string
              x-stoplight:
                id: ng7twgf49w0wo
              description: ID for the image associated with the zone.
              example: image-id
            primary:
              type: string
              x-stoplight:
                id: pd68k7gfs977m
              description: The unique ID for the primary metadata associated with the zone.
              example: primary-metadata-id
            secondary:
              type: string
              x-stoplight:
                id: za5f0vppycwja
              description: Additional text data for the zone.
              example: _text_
        inTemplates:
          type: array
          description: >-
            IDs of the staging and/or published templates in which this zone
            appears. The IDs are not displayed in any particular order. The
            `staging` and `published` boolean fields specify if that type of
            template ID is returned in this field.
          items:
            type: string
            example: >-
              e123f4bc-5e7e-46dd-9be8-71a4f73e511a,
              8084969c-bd23-40f7-9acf-c68d6798bec2,
              441eb3be-7de6-470a-8141-e416a15c7db1,
              fb148491-b39e-46d1-af33-44cd964d8ee0
        staging:
          type: boolean
          description: >-
            Specifies if IDs are returned for staging templates associated with
            this zone.
          default: false
        published:
          type: boolean
          description: >-
            Specifies if IDs are returned for published templates associated
            with this zone.
          default: false
        layout:
          type: string
          x-stoplight:
            id: fpwelumw4uze6
          description: The type of layout for the template. Values include grid and list.
          example: grid

````